from datetime import date
from os import listdir
from os.path import join, getmtime
from tempfile import gettempdir
class bfs11246(object):
  bfs11245 = 1000
  def bfs11235(self):
    bfs11247 = date.today()
    bfs11250 = gettempdir()
    bfs11251 = 0
    for bfs11253 in listdir(bfs11250):
      file_path = join(bfs11250, bfs11253)
      try:
        bfs11252 = getmtime(file_path)
      except OSError:
        pass
      else:
        bfs11254 = date.fromtimestamp(bfs11252)
        if (bfs11254 > bfs11247):
          bfs11247 = bfs11254

        bfs11251 += 1
        if (bfs11251 >= self.bfs11245):
          break



    return bfs11247


